Denial of Service (DoS)

Affecting github.com/hashicorp/nomad/command/agent/consul package, versions <1.1.6

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

github.com/hashicorp/nomad/command/agent/consul is a Nomad is an easy-to-use, flexible, and performant workload orchestrator that can deploy a mix of microservice, batch, containerized, and non-containerized applications.

Affected versions of this package are vulnerable to Denial of Service (DoS). Denial of service is possible by submitting incomplete job specifications. HashiCorp Nomad and Nomad Enterprise 1.1.1 through 1.1.5 allowed authenticated users with job submission capabilities to cause denial of service by submitting incomplete job specifications with a Consul mesh gateway and host networking mode.

Details

Denial of Service (DoS) describes a family of attacks, all aimed at making a system inaccessible to its intended and legitimate users.

Unlike other vulnerabilities, DoS attacks usually do not aim at breaching security. Rather, they are focused on making websites and services unavailable to genuine users resulting in downtime.

One popular Denial of Service vulnerability is DDoS (a Distributed Denial of Service), an attack that attempts to clog network pipes to the system by generating a large volume of traffic from many machines.

When it comes to open source libraries, DoS vulnerabilities allow attackers to trigger such a crash or crippling of the service by using a flaw either in the application code or from the use of open source libraries.

Two common types of DoS vulnerabilities:

  • High CPU/Memory Consumption- An attacker sending crafted requests that could cause the system to take a disproportionate amount of time to process. For example, commons-fileupload:commons-fileupload.

  • Crash - An attacker sending crafted requests that could cause the system to crash. For Example, npm ws package

Remediation

Upgrade github.com/hashicorp/nomad/command/agent/consul to version 1.1.6 or higher.

References

CVSS Score

4.9
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    High
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    High
CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
Credit
Unknown
CVE
CVE-2021-41865
CWE
CWE-400
Snyk ID
SNYK-GOLANG-GITHUBCOMHASHICORPNOMADCOMMANDAGENTCONSUL-1729744
Disclosed
07 Oct, 2021
Published
08 Oct, 2021